# Interface SkyAxisLabeller

All Known Implementing Classes:
  `TickSkyAxisLabeller`

public interface SkyAxisLabeller
Performs axis labelling for a sky plot.

Since:
  21 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`AxisAnnotation`
`createAxisAnnotation(GridLiner gridLiner, Captioner captioner, SkySys skySys)`
Returns an axis annotation object for a given grid painter and captioner.
`String`
`getLabellerDescription()`
Returns a description for this mode.
`String`
`getLabellerName()`
Returns a name for this axis labelling mode.

## Method Details

### getLabellerName

String getLabellerName()
Returns a name for this axis labelling mode.

Returns:
  one-word name

### getLabellerDescription

String getLabellerDescription()
Returns a description for this mode.

Returns:
  description

### createAxisAnnotation

AxisAnnotation createAxisAnnotation(GridLiner gridLiner, Captioner captioner, SkySys skySys)
Returns an axis annotation object for a given grid painter and captioner.

Parameters:
  `gridLiner` - grid lines for a sky plot
  `captioner` - text renderer
  `skySys` - sky coordinate system
Returns:
  axis annotation